db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kathey Marsden <kmarsdende...@sbcglobal.net>
Subject Re: Q: Should Derby 10.3 be Derby 11?
Date Wed, 21 Feb 2007 18:05:28 GMT
Bernt M. Johnsen wrote:
> Hi,
>
> I raise this question because it has now been introduced functionality
> that will make Derby 10.3 not entirely compatible with 10.2.
>
> It might seem innocent, but I think it deserves some discussion.
>
> With the "secure by default" functionality, Rick H. has committed a
> patch which requires me in my environment to start using the new
> -unsecure option when a started a network server.
>   
I think security is a good enough reason to break compatibility and I 
agree we should bump to 11 for this change.  My only concern in doing 
that is that it will be seen as  free license for other incompatible 
changes which it shouldn't be.

Kathey



Mime
View raw message